lpoptions(1)

NOMBRE
lpoptions - Visualiza o establece las opciones de las impresoras y los valores predeterminados

SINOPSIS
lpoptions [ -h servidor ] -d dest[/copia] [ -o opción=valor ] ... [ -o opción=valor
lpoptions [ -h servidor ] [ -E ] [ -p dest[/copia] ] -l
lpoptions [ -h servidor ] [ -E ] [ -o opción=valor ] ... [ -o opción=valor ] [ -p dest[/copia] ] -r opción
lpoptions [ -h servidor ] [ -E ] -x dest[/copia]

DESCRIPCIÓN
lpoptions visualiza o establece las opciones de las impresoras y los valores predeterminados. lpoptions muestra las opciones predeterminadas cuando se ejecuta sin argumentos. Otras opciones:

-E
    Hace que se use encriptación en la conexión con el servidor CUPS.

-d dest[/copia]
    Establece que dest sea la impresora predeterminada. Si se pone copia, entonces se usa esa copia en particular. Esta opción tiene preferencia sobre la impresora predeterminada del sistema para el usuario actual.

-h servidor
    Especifica el servidor CUPS con el que se va a comunicar.

-l
    Lista las opciones especificas de la impresora y sus valores actuales.

-o opción=valor
    Especifica una nueva opción para el destino especificado.

-p dest[/copia]
    Establece el destino y la copia, si se especifica, para cualquiera de las opciones que siguen. Si la copia especificada no existe, se crea.

-r opción
    Elimina la opción del destino especificado.

-x dest[/copia]
    Elimina la opción del destino especificado y de la copia, si se especifica. Si la copia especificada no existe, no hace nada.

Si no se especifican opciones usando la opción -o, se listan en la salida estandar las opciones actuales de la impresora especificada.

Las opciones establecidas con el comando lpoptions son usadas por los comandos lp(1) y lpr(1) cuando se realiza la impresión de trabajos.

OPCIONES DE LA CUENTA ROOT
Cuando es ejecutado por el usuario root, lpoptions lee y establece las opciones predeterminadas y copias para todos los usuarios en el archivo /etc/cups/lpoptions.

COMPATIBILIDAD
El comando lpoptions es específico de CUPS.

ARCHIVOS
~/.lpoptions - valores predeterminados y copias creadas por usuarios que no sean root.
/etc/cups/lpoptions - valores predeterminados para todo el sistema y copias creadas por el usuario root.

VÉASE TAMBIÉN
cancel(1), lp(1), Manual de usuario de CUPS, http://localhost:631/documentation.html

DERECHOS DE COPIA
Los derechos de copia 1993-2004 son de Easy Software Products. Todos los derechos reservados.

TRADUCCIÓN
Juan Pablo González Riopedre <riopedre@tiscali.es>